import { RouteRecordRaw } from 'vue-router'
export const staticRouter: RouteRecordRaw[] = [
  {
    path: '/',
    redirect: '/index'
  },
  {
    path: '/index',
    name: 'Index',
    component: () => import('@/views/Index.vue'),
    redirect: '/home',
    meta: {
      title: '起始页'
    },
    children: [
      {
        path: '/home',
        name: 'Home',
        component: () => import('@/views/home/index.vue'),
        meta: {
          title: '首页',
          icon: 'HomeFilled'
        }
      },
      {
        path: '/roles',
        name: 'Roles',
        component: () => import('@/views/account/roles/Roles.vue'),
        meta: {
          title: '角色管理',
          icon: '\ue648'
        }
      },
      {
        path: '/users',
        name: 'Users',
        component: () => import('@/views/account/users/Users.vue'),
        meta: {
          title: '账户管理',
          icon: '\ue6a1'
        }
      },
      {
        path: '/salary',
        name: 'Salary',
        component: () => import('@/views/salary/salary/Salary.vue'),
        meta: {
          title: '薪资管理',
          icon: '\ue7cd'
        }
      },
      {
        path: '/salaryCount',
        name: 'SalaryCount',
        component: () => import('@/views/salary/SalaryCount.vue'),
        meta: {
          title: '薪资统计',
          icon: '\ue831'
        }
      },
      {
        path: '/salaryMy',
        name: 'SalaryMy',
        component: () => import('@/views/salary/SalaryMy.vue'),
        meta: {
          title: '我的薪资',
          icon: '\ue7d1'
        }
      },
      {
        path: '/records',
        name: 'Records',
        component: () => import('@/views/workAttendance/records/Records.vue'),
        meta: {
          title: '统筹管理',
          icon: 'DocumentCopy'
        }
      },
      {
        path: '/recordsFinance',
        name: 'RecordsFinance',
        component: () => import('@/views/workAttendance/RecordsFinance.vue'),
        meta: {
          title: '统筹管理(财务)',
          icon: 'Notebook'
        }
      },
      {
        path: '/overtime',
        name: 'Overtime',
        component: () => import('@/views/workAttendance/Overtime.vue'),
        meta: {
          title: '加班审批',
          icon: '\ue690'
        }
      },
      {
        path: '/leave',
        name: 'Leave',
        // component: () => import('@/views/workAttendance/Leave.vue'),
        component: () => import('../../views/workAttendance/Leave.vue'),
        meta: {
          title: '请假审批',
          icon: '\ue627'
        }
      },
      {
        path: '/myOvertime',
        name: ' MyOvertime',
        // component: () => import('@/views/workAttendance/MyOvertime.vue'),
        component: () => import('../../views/workAttendance/MyOvertime.vue'),
        meta: {
          title: '我的加班',
          icon: '\ue64c'
        }
      },
      {
        path: '/myLeave',
        name: 'MyLeave',
        component: () => import('@/views/workAttendance/MyLeave.vue'),
        meta: {
          title: '我的请假',
          icon: '\ue6aa'
        }
      }
    ]
  },
  {
    path: '/login',
    name: 'login',
    component: () => import('@/views/Login.vue'),
    meta: {
      title: '登录'
    }
  }
]

export const errorRouter = [
  {
    path: '/404',
    name: '404',
    component: () => import('@/components/ErrorMessage/404.vue'),
    meta: {
      title: '404页面'
    }
  },
  {
    path: '/:pathMatch(.*)*',
    name: 'notFound',
    redirect: { name: '404' }
  }
]
