import { defineStore, createPinia } from 'pinia'
import { GlobalState } from './interface/index'
import { User_Dept_List, User_Post_List } from '@/api/user/index'
import { Menu_User_List } from '@/api/role/index'
import { getAllBreadcrumbList, hanlderMenuList } from '@/utils/common'
export const GlobalStore = defineStore({
  id: 'GlobalState',
  state: (): GlobalState => ({
    loading: false,
    isCollapse: false,
    breadcrumb: [],
    userInfo: JSON.parse(localStorage.getItem('User_info') as any) || {},
    UserDeptList: [],
    UserPostList: [],
    User_tokey: localStorage.getItem('User_tokey') || '',
    MenuList: [],
    path: '',
    allBreadcrumbList: null
  }),
  getters: {
    GET_User_tokey: state => state.User_tokey,
    GET_Dept_List: state => state.UserDeptList,
    GET_isCollapse: state => state.isCollapse,
    GET_Breadcrumb: state => state.breadcrumb,
    GET_User_Info: state => state.userInfo,
    GET_Menu_List: state => state.MenuList
  },
  actions: {
    SET_User_Tokey(payload: string) {
      if (typeof payload === 'string') {
        this.User_tokey = payload
      }
    },
    SET_isCollapse() {
      this.isCollapse = !this.isCollapse
    },
    SET_Breadcrumb(payload: string[]) {
      let map = payload.map(item => {
        return item.replace('/', '')
      })
      this.breadcrumb = map
    },
    SET_User_Info(payload: any) {
      this.userInfo = payload
    },
    SET_Path(payload: string) {
      this.path = payload
    },
    async SET_User_Dept_List() {
      const res: any = await User_Dept_List()
      this.UserDeptList = res.Data
    },
    async SET_User_Post_List() {
      const res = await User_Post_List()
      console.log(res)
    },
    async SET_Menu_User_List() {
      const res: any = await Menu_User_List({ User_tokey: this.GET_User_tokey })
      if (res.Code === 200) {
        this.MenuList = res.Data.Data
        hanlderMenuList(res.Data.Data)
        this.allBreadcrumbList = getAllBreadcrumbList(res.Data.Data)
        // console.log(this.allBreadcrumbList)
      }
    }
  }
})

const pinia = createPinia()

export default pinia
